For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all copilots
      • POSTCreate a new copilot
      • GETGet a copilot
      • PUTUpdate a copilot
      • DELDelete a copilot
LogoLogo
Scout DocsAccess Scout
EndpointsCopilots

Update a copilot

Beta
PUT
https://api.scoutos.com/v2/copilots/:copilot_id
PUT
/v2/copilots/:copilot_id
$curl -X PUT https://api.scoutos.com/v2/copilots/copilot_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "copilot_config": {
4 "workflow_id": "wf_9a8b7c6d5e4f3g2h1i0j",
5 "img_url": "https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg",
6 "display_name": "Scout AI Assistant",
7 "mode": "light",
8 "code_theme": "dark",
9 "colors": {},
10 "fab": {},
11 "loading_text": "Loading your AI assistant...",
12 "message_placeholder": "Type your question here...",
13 "initial_activity": [
14 null
15 ],
16 "allowed_origins": "https://app.scoutos.com",
17 "powered_by": "ScoutOS AI"
18 },
19 "last_updated_at": "2024-01-15T09:30:00Z",
20 "created_at": "2024-01-15T09:30:00Z",
21 "created_by": {
22 "type": "user",
23 "details": {
24 "api_key": {}
25 }
26 },
27 "last_updated_by": {
28 "type": "user",
29 "details": {
30 "api_key": {}
31 }
32 },
33 "revision_id": "rev_20240115_0930",
34 "copilot_id": "copilot_1234567890abcdef",
35 "is_draft": false
36 }
37}
Was this page helpful?
Previous

Delete a copilot

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

copilot_idstringRequired

Request

This endpoint expects an object.
workflow_idstring or nullOptional
img_urlstring or nullOptionalDefaults to https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg
display_namestring or nullOptionalDefaults to Copilot
modeenumOptionalDefaults to light
Allowed values:
code_themeenumOptionalDefaults to dark
Allowed values:
colorsmap from strings to stringsOptional
fabmap from strings to nullable strings or integersOptional
loading_textstring or nullOptionalDefaults to Thinking...
message_placeholderstring or nullOptionalDefaults to Ask anything...
initial_activitylist of anyOptional
allowed_originsstring or nullOptionalDefaults to
powered_bystring or nullOptionalDefaults to

Response

Successful Response
dataobject or null

Errors

422
Unprocessable Entity Error